<template>
  <div style="border: 1px solid #ccc">
    <Toolbar
      style="border-bottom: 1px solid #ccc"
      :editor="editorRef"
      :defaultConfig="{}"
      mode="default"
    />
    <Editor
      style="height: 500px; overflow-y: hidden"
      v-model="model"
      :defaultConfig="{ placeholder: '请输入内容...' }"
      mode="default"
      @onCreated="
        (editor: any) => {
          editorRef = editor
        }
      "
    />
  </div>
</template>

<script setup lang="ts">
import '@wangeditor/editor/dist/css/style.css'
import { Editor, Toolbar } from '@wangeditor/editor-for-vue'

const model = defineModel()

// 模拟 ajax 异步获取内容
/* onMounted(() => {
  setTimeout(() => {
    // model.value = '<p>模拟 Ajax 异步设置内容</p>'
  }, 1500)
}) */

// 编辑器实例，必须用 shallowRef
const editorRef = shallowRef()
// 组件销毁时，也及时销毁编辑器
onBeforeUnmount(() => {
  const editor = editorRef.value
  if (editor == null) return
  editor.destroy()
})
</script>
